This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 463623 - [LTC 6.0 FEAT] 201222:IPv6 Default Address Selection - User Configurable Policy Table
[LTC 6.0 FEAT] 201222:IPv6 Default Address Selection - User Configurable Poli...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: iproute (Show other bugs)
6.0
All All
high Severity high
: alpha
: 6.0
Assigned To: Marcela Mašláňová
Zbysek MRAZ
: FutureFeature
Depends On:
Blocks: 519903 356741 554559
  Show dependency treegraph
 
Reported: 2008-09-23 23:51 EDT by IBM Bug Proxy
Modified: 2013-07-03 09:08 EDT (History)
5 users (show)

See Also:
Fixed In Version: iproute-2.6.29-5.0.20091009gitdaf49fd6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 16:51:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
test case in bash script (779 bytes, application/x-sh)
2010-04-07 10:35 EDT, Marcela Mašláňová
no flags Details

  None (edit)
Description IBM Bug Proxy 2008-09-23 23:51:07 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:07 EDT
1. Feature Overview:
Feature Id:	[201222]
a. Name of Feature:	IPv6 Default Address Selection - User Configurable Policy Table
b. Feature Description
Add support for a user configurable policy table to enable override of Default Address Selection
(RFC 3484) based on the default policy table.

2. Feature Details:
Sponsor:	LTC
Architectures:
x86
x86_64
ppc64
s390 native
s390x

Arch Specificity: Purely Common Code
Affects Kernel Modules: Yes
Delivery Mechanism: 
Category:	Networking
Request Type:	Package - Feature from Upstream
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	3rd party code
g. Component Version Target:	kernel: 2.6.25,  iproute2:
http://devresources.linux-foundation.org/dev/iproute2/download/iproute2-2.6.25.tar.bz2

3. Business Case
This is a SHOULD+ requirement in the Version 2.0 of the IPv6 DoD product profile and is expected to
become a MUST requirement in the next revision(3.0) of the profile document. As part of continuing
DoD certification, this feature is a MUST.

Benefits
Allows the users the flexibility to configure the policy without having to depend upon the default
policy.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Mike Wortman, wortman@us.ibm.com, 512-838-8582

Technical contact(s):
Sridhar Samudrala, samudrala@us.ibm.com
Varun Chandramohan, varuncha@in.ibm.com

IBM Manager:
Larry Kessler, lkessler@us.ibm.com
Comment 1 Bill Nottingham 2008-10-02 16:40:20 EDT
RHEL 6 will include at least a 2.6.25 kernel, so this should not be a problem.
(The current Fedora iproute version is up to date as well.)

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 3 releng-rhel@redhat.com 2009-12-16 16:50:52 EST
Fixed in 'iproute-2.6.29-5.0.20091009gitdaf49fd6'. 'iproute-2.6.29-5.0.20091009gitdaf49fd6.el6' included in compose 'RHEL6.0-20091216.nightly'.
Moving to ON_QA.
Comment 6 Marcela Mašláňová 2010-04-07 10:35:39 EDT
Created attachment 404972 [details]
test case in bash script
Comment 7 Zbysek MRAZ 2010-04-12 09:17:21 EDT
Verified with version iproute-2.6.32-3.el6 on RHEL6.0-20100408.0 by running RHTS test created from the proposed script.
Comment 8 releng-rhel@redhat.com 2010-07-02 16:51:32 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.